Unit AVZ2C_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

function AVZ2C(var V :Array of Complex; N :Integer; ISTEP :Integer;
                var J :Integer): Real;

implementation

function AVZ2C(var V :Array of Complex; N :Integer; ISTEP :Integer;
                var J :Integer): Real;
var
IEND,I :Integer;
T,VMAX :Real;
const
ZERO :Real = 0.0E0;
label
_1;
begin
{ Result -    AVZ2C  FORTRANe }
VMAX := ZERO;
J := 1;
IEND := 1+(N-1)*ISTEP;
I := 1;
while ( I<=IEND ) do
 begin
  T := Cabs(V[I-1]);
  if ( T <= VMAX ) 
   then goto _1;
  VMAX := T;
  J := I;
_1:
  inc(I,ISTEP);
 end;
J := (J-1) div ISTEP+1;
Result := VMAX;
exit;
end;

end.
